# dpinger-container

Multi-arch Docker image for [dpinger](https://github.com/dennypage/dpinger) with [ntfy.sh](https://ntfy.sh) integration. The image is based off of `alpine:latest`.

## Usage

Using this image with `docker run` directly:

```
docker run --rm -it -e NTFY_URL=https://ntfy.sh/test \
git.socialnerds.org/david/dpinger-container:latest \
-i <identifier> -L 15 -D 80 <ip-address>
```


or with `docker compose`:

```
version: "3.7"

services:
  dpinger-container:
    image: git.socialnerds.org/david/dpinger-container:latest
    command: -i <identifier> -L 15 -D 80 <ip-address>
    restart: unless-stopped
    environment:
      - NTFY_URL=https://ntfy.sh/test
```

For more information check out the documentation of the [dpinger project on Github](https://github.com/dennypage/dpinger).
